Skip to main content

Read a Scheduled Payment

Use this endpoint to read the attributes of a particular scheduled payment according to its unique GUID.

GET
/users/{user_guid}/scheduled_payments/{scheduled_payment_guid}

Request sample

Language:shell

_10
curl -L -X GET 'https://int-api.mx.com/users/USR-11141024-90b3-1bce-cac9-c06ced52ab4c/scheduled_payments/SCP-54bed778-6600-4262-908c-8822f141cc30' \
_10
-u 'client_id:api_key' \
_10
-H 'Accept: application/vnd.mx.api.v1+json'

Response sample

200
Language:json

_17
{
_17
"scheduled_payment": {
_17
"transaction_type": "DEBIT",
_17
"recurrence_type": null,
_17
"amount": 45.63,
_17
"created_at": "2021-05-20T19:27:36+00:00",
_17
"description": "Power bill",
_17
"guid": "SCP-54bed778-6600-4262-908c-8822f141cc30",
_17
"is_completed": false,
_17
"is_recurring": null,
_17
"merchant_guid": "MCH-bbe0f849-fcd1-5d64-ad5d-1dbbea56b31c",
_17
"occurs_on": "2021-05-30",
_17
"recurrence_day": null,
_17
"updated_at": "2021-05-20T19:27:36+00:00",
_17
"user_guid": "USR-11a448aa-5e7b-70db-45d6-d6927092043e"
_17
}
_17
}